Loading...
Searching...
No Matches
svd.h File Reference
`#include "ap.h"`
`#include "amp.h"`
`#include "reflections.h"`
`#include "bidiagonal.h"`
`#include "qr.h"`
`#include "lq.h"`
`#include "blas.h"`
`#include "rotations.h"`
`#include "bdsvd.h"`

Go to the source code of this file.

## Namespaces

namespace | svd

## Functions

template<unsigned int Precision>
bool | svd::rmatrixsvd (ap::template_2d_array< amp::ampf< Precision > > a, int m, int n, int uneeded, int vtneeded, int additionalmemory, ap::template_1d_array< amp::ampf< Precision > > &w, ap::template_2d_array< amp::ampf< Precision > > &u, ap::template_2d_array< amp::ampf< Precision > > &vt)
template<unsigned int Precision>
bool | svd::svddecomposition (ap::template_2d_array< amp::ampf< Precision > > a, int m, int n, int uneeded, int vtneeded, int additionalmemory, ap::template_1d_array< amp::ampf< Precision > > &w, ap::template_2d_array< amp::ampf< Precision > > &u, ap::template_2d_array< amp::ampf< Precision > > &vt)